Description

I would like to get a very visible notification or a highlight when a certain nick is seen again.

What currently floats in my mind:

A (buffer)list with "Nick: active/idle/away/quit", possibly using icon+tooltip to signal those states.

"active" would mean they wrote something "recently” (to define a default value, | would guess 15 minutes is reasonable). "away" is
clear. And "quit" is when they are disconnected from the network, named after the /quit command. "idle" would be "not one of the
other three".

I would name that feature "friendlist". There one could also specify notify-on-presence-change for certain nicks.

Most important to me would be that | can easily add and remove people, since | would just need it temporarily.
l.e. it could be accessible from the nicklists of channels and from querybuffers and bufferlists. (But do not forget a
add-manually-by-typing-nick menu, of course, for people being offline at the time.)

Possibly the feature could be achieved by enhancing bufferlists, and just adding "add/remove to/from bufferlist" rightclick menu
options for the channels, querybuffers and bufferlists for quick access. (Or just one menu with a yet-to-be-defined name, with
checkboxes.)

Depending on how much bufferlists people have, it might be useful to just list a selected amount of bufferlists in those menu.

Related issues:

Has duplicate Quassel IRC - Feature #393: add watched nicks list Closed
Has duplicate Quassel IRC - Feature #688: Buddy alarm (see Pidgin or HydralRC) Closed 05/07/2009
History

#1 - 08/21/2009 11:23 PM - STiAT

| was just about to add the same, but going a step further: I'd like to be able to add some sound notification as well. I'm often waiting on IRC for
somebody to come online, in example a certain maintainer or developer. If I'm afk, watching tv, reading a book, eating or what ever, I'd love to have
the option to enable a sound notification, so | don't have to pay attention from time to time. This way, | can't be missing the status changes.

Also, also include people coming online, since not everybody is using quassel or stays on IRC.

#2 - 12/23/2013 09:28 PM - Anonymous

- Status changed from New to Closed

Dupe.

#3 - 12/23/2013 11:10 PM - DevUrandom

Tucos wrote:

Dupe.

Of which bug? #393 and #688 (which are marked as potential duplicates here) were also closed as "Dupe".

#4 - 12/24/2013 07:00 AM - Anonymous

- Status changed from Closed to Confirmed

Darn. Sorry, the new redmine keeps biting me when i link them as dupe (syncs status and comments; see also #1219). This one is the appropriate
ticket.
